#pragma once
#include "physics.h"

#define SPFX_LAYER_FRONT  0
#define SPFX_LAYER_BACK  1

// Stack manipulation.
int spfx_get(char* name);
void spfx_add(const int effect,
              const double px, const double py,
              const double vx, const double vy,
              const int layer);

// Stack mass manipulation functions.
void spfx_update(const double dt);
void spfx_render(const int layer);
void spfx_clear(void);

// Load/free.
int spfx_load(void);
void spfx_free(void);

// Pause/Unpause routines.
void spfx_pause(void);
void spfx_unpause(void);
void spfx_delay(unsigned int delay);

